Skip to content

Shield Detail

| View as Markdown

This Shield API will be used to get the details related to our search about any suspicious entity before onboarding. If any record found, the details will be displayed in terms of agent name, corporate bc name, mobile no, address, pan no, city, blacklisted date etc.

https://kraken.airpay.co.in/airpay/ms/shield/api/detail
ParameterType ValueDescriptionValue Like
content-type requiredStringapplication/jsonapplication/x-www-form-urlencoded
affiliate requiredTextWill be provided by airpay91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
checksum requiredText$string = $param.self+ $header.code::$secret_key; sha256(<concate all values+SECRET KEY>); (required)91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
code requiredTextWill be provided by airpay91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
processor-key requiredTextWill be provided by airpay91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
ParameterType ValueDescriptionValue Like
merchant_id requiredtext
(1-10)
Merchant ID.2
ParameterType ValueDescriptionValue Like
status requiredNumeric
(3)
airpay status400,200
message requiredTextairpay status messagesuccess,fail
data requiredTextJson response { “status”: status code, “message”: response message, “data”:[ {“parameter”:“array required data”}], “agent_name”: Name of the agent, “corporate_bc_name”:Corporate name for the agent, “mobile_no”: Mobile Number, “city”: Name of the city, “state”: Name of the state, “address”: Address, “pincode”: Pincode, “aadhaar_no”: Aadhar Number, “pan_no”: Pancard number, “blacklisted_date”:Blacklisted date, “blacklisted_reason”: Reason for blacklisting, “bank”: Bank name, “ifsc”: Bank ifsc code, “account_no”:Bank account number, “is_police_complaint”: Police complaint flag, “complaint_no”: Complaint number, “complaint_date”: Date Complaint date, “arrestedoptional”: Arrested status, “checksum”: Checksum }
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/shield/api/detail' \
--header 'code: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'merchant_id=2' \
{
"status": "200",
"message": "Success",
"data": {
"agent_name": "D'mell K m",
"corporate_bc_name": "corpa lithin",
"mobile_no": "9XXXXXX989",
"address": "drsd",
"pan_no": "CCCSV1234D",
"city_name": "Mumbai",
"state_name": "",
"pin_code": "",
"aadhaar_no": "0101",
"blacklisted_date": "",
"blacklisted_reason": "test reason",
"blacklister_name": "Lithin",
"partner_name": "airpay",
"bank": "HDFC",
"ifsc": "HDFCBK002123",
"account_no": "xsdf123456",
"is_police_complaint": "Yes",
"complaint_no": "123123D",
"complaint_date": "2022-12-12",
"arrested": "No"
},
"checksum": "91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps"
}
{
"status": "400",
"message": "Failed",
"data": ""
}